## org.eclipse.m2m.atl.dsls.textsource
Class StringTextSource

    java.lang.Object
      org.eclipse.m2m.atl.dsls.textsource.TextSource
          org.eclipse.m2m.atl.dsls.textsource.StringTextSource

    public class StringTextSource

extends TextSource

Manages a text source in a string.

Constructor Summary
`StringTextSource(java.lang.String string)` Constructor.

Method Summary
`java.io.InputStream` `openStream()` Returns an input stream of the text source.

Methods inherited from class org.eclipse.m2m.atl.dsls.textsource.TextSource
`openBufferedReader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringTextSource

    public StringTextSource(java.lang.String string)

  Constructor.

  Parameters:
    `string` - the string text

Method Detail

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

  Returns an input stream of the text source.

  Specified by:
    `openStream` in class `TextSource`
  Returns:
    an input stream of the text source
  Throws:
    `java.io.IOException`
  See Also:
    `TextSource.openStream()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.